DOWNTIMES(1)

NAME
downtimes - display system downtime records made by downtimed(8)

SYNOPSIS
downtimes [-d downtimedbfile] [-f timefmt] [-n num] [-s sleep] [-u]
downtimes -v
downtime [-d downtimedbfile] [-f timefmt] [-n num] [-s sleep] [-u]
downtime -v

DESCRIPTION
The downtimes command displays the contents of the downtime database in human readable format. The downtime database is maintained by downtimed(8).

The singular form downtime displays details only about the last time the system was down, whereas the plural form downtimes displays all records in the database. The -n option can be used to specify the number of downtime records to display.

OPTIONS

-d downtimedbfile
    Use the specified downtime database file instead of the system default.

-f timefmt
    Specify the time and date format to use when reporting using strftime(3) syntax. The default is "%F %T".

-n num
    Define how many latest downtime records to output. Default is all.

-s sleep
    Calculate the approximate crash time by specifying what was the sleep value of downtimed(8).

-u  Display times in UTC.

-v  Display the program version number, copyright message and the default settings.

EXIT STATUS
The program exits 0 on success, and >0 if an error occurs.

SEE ALSO
downtimed(8), uptime(1), https://dist.epipe.com/downtimed/

BUGS
The reporting accuracy in case of a system crash depends on how often the time stamp is updated.

COPYRIGHT
Copyright © 2009-2016 Janne Snabb. All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

1. Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.